/*!
 * Copyright (c) 2023 Eclipse Foundation, Inc.
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 * 
 * Contributors:
 *   Olivier Goulet <olivier.goulet@eclipse-foundation.org>
 * 
 * SPDX-License-Identifier: EPL-2.0
*/

@import (reference) '../styles.less';

.hero-section {
  &-title {
    font-weight: 600;
  }

  &-video {
    filter: drop-shadow(0 1rem 1rem rgba(0, 0, 0, 0.3));

    .eclipsefdn-video {
      position: absolute;
      top: 3%;
      left: 3.2%;
      width: calc(100% - 6.2%);
      height: calc(100% - 7%);
      border-radius: 0.75rem;
    }
  }
}

.summary-section {
  &-key-points-item {
    display: flex;
    gap: 2rem;
    align-items: center;
    margin: 2.4rem 0;
  }

  &-key-points-item-icon {
    flex-shrink: 0;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 6rem;
    height: 6rem;
    border-radius: 9999px;
    background-color: #ccc;
  }

  &-key-points-item-description {
    font-size: 1.8rem;
  }
}

.use-cases-section {
  .use-case-title {
    font-size: 1.6rem;
    font-weight: 600;
  }
}

